## python-sure 1.2.2

=== Makefile ===
all: install_deps test

filename=sure-`python -c 'import sure;print sure.version'`.tar.gz

export PYTHONPATH:=  ${PWD}
export SURE_NO_COLORS:=  true

install_deps:
	@pip install -r requirements.pip

test:
	@nosetests -s --verbosity=2 tests
	@steadymark OLD_API.md
	@steadymark README.md

clean:
	@printf "Cleaning up files that are already in .gitignore... "
	@for pattern in `cat .gitignore`; do rm -rf $$pattern; find . -name "$$pattern" -exec rm -rf {} \;; done
	@echo "OK!"

release: clean test publish
	@printf "Exporting to $(filename)... "
	@tar czf $(filename) sure setup.py README.md COPYING
	@echo "DONE!"

publish:
	@python setup.py sdist register upload

=== debian/changelog ===
python-sure (1.2.2-2build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:53:00 +0000

python-sure (1.2.2-2) unstable; urgency=low

  * Drops dependency on python-steadymark (Closes: #722507).
  * Drops build-dependency on openstack-pkg-tools (and make it optional in
    debian/rules).

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Dec 2013 16:51:23 +0800

python-sure (1.2.2-1) unstable; urgency=low

  * Initial release. (Closes: #721710)

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Sep 2013 19:26:12 +0800

=== debian/control ===
Source: python-sure
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3~),
               python-nose,
               python-setuptools
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-sure.git
Vcs-Git: git://anonscm.debian.org/openstack/python-sure.git
Homepage: http://github.com/gabrielfalcao/sure

Package: python-sure
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-nose, ${misc:Depends}, ${python:Depends}
Recommends: ${python:Recommends}
Description: utility belt for automated testing for Python
 Sure is a library for Python that leverages a DSL for writing assertions. In
 CPython it monkey-patches the object type, adding some methods and properties
 purely for test purposes. Any Python code writen after "import sure" gains
 testing superpowers.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = git://github.com/gabrielfalcao/sure.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	nosetests
endif

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/s/sure sure-(.*).tar.gz

## python-sure 1.2.5

=== Makefile ===
--- 
+++ 
@@ -2,16 +2,17 @@
 
 filename=sure-`python -c 'import sure;print sure.version'`.tar.gz
 
-export PYTHONPATH:=  ${PWD}
-export SURE_NO_COLORS:=  true
+export PYTHONPATH := ${PWD}:${PYTHONPATH}
+export SURE_NO_COLORS := true
 
 install_deps:
-	@pip install -r requirements.pip
+	@curd install -r development.txt
 
 test:
-	@nosetests -s --verbosity=2 tests
+	@nosetests -s --verbosity=2 tests --rednose
 	@steadymark OLD_API.md
 	@steadymark README.md
+	@pandoc -o readme.rst README.md
 
 clean:
 	@printf "Cleaning up files that are already in .gitignore... "
@@ -25,3 +26,18 @@
 
 publish:
 	@python setup.py sdist register upload
+
+docstests: clean
+	@steadymark README.md
+
+
+docs: docstests
+	@markment -t rtd -o . --sitemap-for="http://falcao.it/sure" spec
+	@git co master && \
+		(git br -D gh-pages || printf "") && \
+		git checkout --orphan gh-pages && \
+		markment -t rtd -o . --sitemap-for="http://falcao.it/sure" spec && \
+		git add . && \
+		git commit -am 'documentation' && \
+		git push --force origin gh-pages && \
+		git checkout master

=== requirements.txt ===
nose==1.3.0
rednose==0.4.1

=== debian/changelog ===
python-sure (1.2.5-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * Fixed homepage (https).
  * Fixed typo in description.
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.

  [ Thomas Goirand ]
  * Removed inactive uploaders.
  * Add missin dh-python build-depends.
  * Removed now useless version of (build-)depends.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Apr 2018 17:41:44 +0200

python-sure (1.2.5-4) unstable; urgency=medium

  * Fixed typo in package description (Closes: #782528).

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 May 2015 23:28:12 +0200

python-sure (1.2.5-3) unstable; urgency=medium

  * Fixed "bug in callable assertions when called with parameters", thanks to
    Edward Betts <edward@4angle.com> for reporting (Closes: #766477).
  * Standards-Version is now 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Sat, 25 Oct 2014 08:00:16 +0000

python-sure (1.2.5-2) unstable; urgency=medium

  * Fixed unfinished first sentence of GPL3 license in debian/copyright, thanks
    to Thorsten Alteholz <alteholz@debian.org> for reporting. (Closes: #744757)

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Apr 2014 12:21:18 +0800

python-sure (1.2.5-1) unstable; urgency=medium

  * New upstream release.
  * Added python-rednose (build-)dependency.
  * Added Python3 (and 3.2) support to the package, thanks to Cyril Roelandt.
  * Removes the use of embedded copy of six.py.
  * Standards-Version is now 3.9.5.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Apr 2014 00:33:28 +0800

=== debian/control ===
Source: python-sure
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 python-nose,
 python-rednose,
 python-setuptools,
 python-six,
 python3-all,
 python3-nose,
 python3-rednose,
 python3-setuptools,
 python3-six,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-sure
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-sure.git
Homepage: https://github.com/gabrielfalcao/sure

Package: python-sure
Architecture: all
Depends:
 python-nose,
 python-rednose,
 python-six,
 ${misc:Depends},
 ${python:Depends},
Description: utility belt for automated testing - Python 2.x
 Sure is a library for Python that leverages a DSL for writing assertions. In
 CPython it monkey-patches the object type, adding some methods and properties
 purely for test purposes. Any Python code written after "import sure" gains
 testing superpowers.
 .
 This package contains the module for Python 2.x.

Package: python3-sure
Architecture: all
Depends:
 python3-nose,
 python3-rednose,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: utility belt for automated testing - Python 3.x
 Sure is a library for Python that leverages a DSL for writing assertions. In
 CPython it monkey-patches the object type, adding some methods and properties
 purely for test purposes. Any Python code written after "import sure" gains
 testing superpowers.
 .
 This package contains the module for Python 3.x.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT := https://github.com/gabrielfalcao/sure.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-sure; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-sure; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	nosetests
	nosetests3
endif

=== debian/watch ===
version=3
https://pypi.debian.net/sure/sure-(.*).tar.gz

## python-sure 2.0.0

=== Makefile ===
MAKEFILE_PATH		:= $(realpath $(firstword $(MAKEFILE_LIST)))
GIT_ROOT		:= $(shell dirname $(MAKEFILE_PATH))
VENV_ROOT		:= $(GIT_ROOT)/.venv

PACKAGE_NAME		:= sure
MAIN_CLI_NAME		:= sure
REQUIREMENTS_FILE	:= development.txt

PACKAGE_PATH		:= $(GIT_ROOT)/$(PACKAGE_NAME)
REQUIREMENTS_PATH	:= $(GIT_ROOT)/$(REQUIREMENTS_FILE)
MAIN_CLI_PATH		:= $(VENV_ROOT)/bin/$(MAIN_CLI_NAME)
export VENV		?= $(VENV_ROOT)

OSNAME			:= $(shell uname)
ifeq ($(OSNAME), Linux)
OPEN_COMMAND		:= gnome-open
else
OPEN_COMMAND		:= open
endif
export SURE_NO_COLORS := true

######################################################################
# Phony targets (only exist for typing convenience and don't represent
#                real paths as Makefile expects)
######################################################################

# default target when running `make` without arguments
all: | $(MAIN_CLI_PATH)

# creates virtualenv
venv: | $(VENV)

# updates pip and setuptools to their latest version
develop: | $(VENV)/bin/python $(VENV)/bin/pip

# installs the requirements and the package dependencies
setup: | $(MAIN_CLI_PATH)

# Convenience target to ensure that the venv exists and all
# requirements are installed
dependencies:
	@rm -f $(MAIN_CLI_PATH) # remove MAIN_CLI_PATH to trigger pip install
	$(MAKE) develop setup

docs:
	@(cd docs && make html)
	$(OPEN_COMMAND) docs/build/html/index.html

test:
	@$(VENV)/bin/nosetests --rednose --immediate -vv --with-coverage --cover-package=sure
	@$(VENV)/bin/pytest -vv

# run main command-line tool
run: | $(MAIN_CLI_PATH)
	@$(MAIN_CLI_PATH) --help

# Pushes release of this package to pypi
push-release: dist  # pushes distribution tarballs of the current version
	$(VENV)/bin/twine upload dist/*.tar.gz

# Prepares release of this package prior to pushing to pypi
build-release:
	rm -rf ./dist  # remove local packages
	$(VENV)/bin/twine check dist/*.tar.gz
	$(VENV)/bin/python setup.py build sdist

# Convenience target that runs all tests then builds and pushes a release to pypi
release: tests build-release push-release
	@rm -rf dist/*
	@./.release
	$(MAKE) build-release
	$(MAKE) push-release

# Convenience target to delete the virtualenv
clean:
	@rm -rf .venv

# Convenience target to format code with black with PEP8's default
# 80 character limit per line
black: | $(VENV)/bin/black
	@$(VENV)/bin/black -l 80 $(PACKAGE_PATH) tests

##############################################################
# Real targets (only run target if its file has been "made" by
#               Makefile yet)
##############################################################

# creates virtual env if necessary and installs pip and setuptools
$(VENV): | $(REQUIREMENTS_PATH)  # creates $(VENV) folder if does not exist
	echo "Creating virtualenv in $(VENV_ROOT)" && python3 -mvenv $(VENV)

# installs pip and setuptools in their latest version, creates virtualenv if necessary
$(VENV)/bin/python $(VENV)/bin/pip: # installs latest pip
	@test -e $(VENV)/bin/python || $(MAKE) $(VENV)
	@test -e $(VENV)/bin/pip || $(MAKE) $(VENV)
	@echo "Installing latest version of pip and setuptools"
	@$(VENV)/bin/pip install -U pip setuptools

 # installs latest version of the "black" code formatting tool
$(VENV)/bin/black: | $(VENV)/bin/pip
	$(VENV)/bin/pip install -U black

# installs this package in "edit" mode after ensuring its requirements are installed

$(VENV)/bin/nosetests $(VENV)/bin/pytest $(MAIN_CLI_PATH): | $(VENV) $(VENV)/bin/pip $(VENV)/bin/python $(REQUIREMENTS_PATH)
	$(VENV)/bin/pip install -r $(REQUIREMENTS_PATH)
	$(VENV)/bin/pip install -e .

# ensure that REQUIREMENTS_PATH exists
$(REQUIREMENTS_PATH):
	@echo "The requirements file $(REQUIREMENTS_PATH) does not exist"
	@echo ""
	@echo "To fix this issue:"
	@echo "  edit the variable REQUIREMENTS_NAME inside of the file:"
	@echo "  $(MAKEFILE_PATH)."
	@echo ""
	@exit 1

###############################################################
# Declare all target names that exist for convenience and don't
# represent real paths, which is what Make expects by default:
###############################################################

.PHONY: \
	all \
	black \
	build-release \
	clean \
	dependencies \
	develop \
	push-release \
	release \
	setup \
	run \
	test \
	docs

=== requirements.txt ===
six==1.16.0

=== debian/changelog ===
python-sure (2.0.0-2) unstable; urgency=medium

  * d/rules: add dh_python3 --shebang=/usr/bin/python3 (Closes: #1016380).
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Sun, 31 Jul 2022 12:53:24 +0200

python-sure (2.0.0-1) unstable; urgency=medium

  * New upstream release:
    - unbreak python-httpretty FTBFS (Closes: #1002321).
    - Fix FTBFS (Closes: #1002433).
  * Remove all patches, not relevant anymore.
  * Add python3-mock build-depends.
  * Skip test_context_is_not_optional() test that is broken.
  * Fix long and sort description to not include Python version.
  * Switch to debhelper-compat = 11.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Dec 2021 09:39:17 +0100

python-sure (1.2.5-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Removed Python 2 support (Closes: #938205).
  * Fix d/copyright ordering and years.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Sep 2019 12:34:52 +0200

=== debian/control ===
Source: python-sure
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-mock,
 python3-nose,
 python3-rednose,
 python3-setuptools,
 python3-six,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-sure
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-sure.git
Homepage: https://github.com/gabrielfalcao/sure

Package: python3-sure
Architecture: all
Depends:
 python3-nose,
 python3-rednose,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: utility belt for automated testing
 Sure is a library for Python that leverages a DSL for writing assertions. In
 CPython it monkey-patches the object type, adding some methods and properties
 purely for test purposes. Any Python code written after "import sure" gains
 testing superpowers.

## python-sure 2.0.1+git.2023.02.06.3aef950b7c

=== Makefile ===
--- 
+++ 
@@ -46,9 +46,8 @@
 	@(cd docs && make html)
 	$(OPEN_COMMAND) docs/build/html/index.html
 
-test:
-	@$(VENV)/bin/nosetests --rednose --immediate -vv --with-coverage --cover-package=sure
-	@$(VENV)/bin/pytest -vv
+test tests: clean | $(VENV)/bin/pytest # $(VENV)/bin/nosetests	# @$(VENV)/bin/nosetests --rednose --immediate -vv --with-coverage --cover-package=sure
+	@$(VENV)/bin/pytest -vv --cov=sure
 
 # run main command-line tool
 run: | $(MAIN_CLI_PATH)
@@ -60,20 +59,18 @@
 
 # Prepares release of this package prior to pushing to pypi
 build-release:
-	rm -rf ./dist  # remove local packages
+	$(VENV)/bin/python setup.py build sdist
 	$(VENV)/bin/twine check dist/*.tar.gz
-	$(VENV)/bin/python setup.py build sdist
 
 # Convenience target that runs all tests then builds and pushes a release to pypi
-release: tests build-release push-release
-	@rm -rf dist/*
+release: tests
 	@./.release
 	$(MAKE) build-release
 	$(MAKE) push-release
 
 # Convenience target to delete the virtualenv
 clean:
-	@rm -rf .venv
+	@rm -rf .coverage
 
 # Convenience target to format code with black with PEP8's default
 # 80 character limit per line
@@ -133,4 +130,5 @@
 	setup \
 	run \
 	test \
+	tests \
 	docs

=== debian/changelog ===
python-sure (2.0.1+git.2023.02.06.3aef950b7c-4) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090620).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 22:32:48 +0100

python-sure (2.0.1+git.2023.02.06.3aef950b7c-3) unstable; urgency=medium

  * Removed nose and rednose from depends (Closes: #1072790).

 -- Thomas Goirand <zigo@debian.org>  Sun, 09 Jun 2024 13:39:30 +0200

python-sure (2.0.1+git.2023.02.06.3aef950b7c-2) unstable; urgency=medium

  * Switch from nose to pytest (Closes: #1018586).
  * Fix tox.ini.
  * Add switch-from-nose-to-pytest-and-unittest.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 May 2024 10:09:57 +0200

python-sure (2.0.1+git.2023.02.06.3aef950b7c-1) unstable; urgency=medium

  * New upstream release based on 2.0.1 plus a dumb commit, to avoid having to
    deal with wrong git and orig tarball from Matthias.
  * Get rid of the python3-mock (build-)depends (Closes: #1060095).

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Feb 2024 09:18:10 +0100

python-sure (2.0.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version. Closes: #1059669.
  * Fix build with Python 3.12.
  * Disable two failing tests for now.
  * Remove .coverage when cleaning.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Jan 2024 08:44:38 +0100

python-sure (2.0.0-3) unstable; urgency=medium

  * Added extend-diff-ignore for the egg-info (Closes: #1046255).

 -- Thomas Goirand <zigo@debian.org>  Thu, 17 Aug 2023 17:38:25 +0200

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,8 @@
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-mock,
- python3-nose,
- python3-rednose,
+ python3-pytest,
+ python3-pytest-cov,
  python3-setuptools,
  python3-six,
 Standards-Version: 4.1.3
@@ -22,8 +21,6 @@
 Package: python3-sure
 Architecture: all
 Depends:
- python3-nose,
- python3-rednose,
  python3-six,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/gabrielfalcao/sure.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	rm -rf build
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
	rm -f .coverage

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -x ; set -e ; for i in $(PYTHON3S) ; do \
		python$$i -m pytest -v tests -k "not test_context_is_not_optional and not test_depends_on_failing_due_nothing_found and not test_depends_on_failing_due_not_calling_a_previous_action" ; \
	done
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
